Updating and a few more questions

Discussion in 'Wii - Hacking' started by KingofRetards, Nov 19, 2009.

Nov 19, 2009
  1. KingofRetards
    OP

    Newcomer KingofRetards Newbie

    Joined:
    Nov 19, 2009
    Messages:
    5
    Country:
    United States
    I have a softmodded 3.2U Wii (homebrew channel, no bootmii installed) and I have recently had the need to update it so I can play new games (mainly New Super Mario Bros Wii). I would like to have a few questions answered. Also, I would like to note I have no need for back-up launchers and the such. Feel free to send me a link to a tutorial to save yourself time. Well, so here are my questions:

    1. Should I update my Wii to the latest version so I can play new games, or is there a way to get around that even though I am using 3.2?

    2. If I need to update my Wii to 4.2, what programs can I use to update it so that I can still use the HomeBrew channel and other hacks?

    3. If I don't need to update to 4.2, what programs can I use to update all the IOS's and to boot new games without using the wii menu (to get around updating)?

    4. Is bootmii a must have, and if so, are there any risks?

    5. Is there any other things that I need to know before doing any of the above steps?

    Thank you for dealing with my complete noobness, but I have searched everywhere and haven't really got any info that helped, and I figure that I should get info from the best. Thank you for your time [​IMG]

    Edit: I did some (more) searching around and I found this: http://gbatemp.net/index.php?showtopic=184057 Is this what I should use?
     
  2. bula

    Member bula GBAtemp Advanced Fan

    Joined:
    Feb 4, 2009
    Messages:
    814
    Country:
    United States

    No the best by far:-) by anyway install IOS60 with DOP-IOS and then run wani 4.1 updater and you are on 4.1U. No need to be on 4.2U. Bootmii is good to have specially if you can install it as boot2 specially. Done one yesterday for by buddy with this metode without no problems.
     
  3. OncleJulien

    Member OncleJulien tool of peers

    Joined:
    Apr 6, 2009
    Messages:
    1,170
    Location:
    Los Angeles
    Country:
    United States
    shouldnt that deliver him some shiny new stubbed ioses?
     
  4. bula

    Member bula GBAtemp Advanced Fan

    Joined:
    Feb 4, 2009
    Messages:
    814
    Country:
    United States
    Will not as long as you have IOS60 installed first. App will not re-download it.
     
  5. longtom1

    Member longtom1 Keep an eye on my posts cause I quick edit frequen

    Joined:
    Jan 12, 2009
    Messages:
    2,641
    Location:
    Honey Oils inc.
    Country:
    Antarctica
    just use dop-ios mod v8 you can update your IOS's and update the system menu if you want but most games will run on 3.2 if you have all the updated IOS's and with Triiforce you don't need the sd card menu
     
  6. xzxero

    Member xzxero ♥bong milk does good for the brain♥

    Joined:
    Jul 18, 2008
    Messages:
    3,831
    Location:
    SB
    Country:
    United States
    but hes on 3.2
    so he will brick if he uses it
     
  7. Dj_Qbert

    Newcomer Dj_Qbert Advanced Member

    Joined:
    May 1, 2009
    Messages:
    59
    Country:
    Canada
    There is a really nice guide in one of the stickies on updating to 4.2 on the wii hacking page. It provides links and all the info.

    I would install bootmii as a precaution. Think of it like having a spare key in case your locked out.
     
  8. RetroHero

    Newcomer RetroHero Member

    Joined:
    Jun 19, 2009
    Messages:
    34
    Country:
    Japan
    Dont update. I am playing all the new games and I am on 3.3

    All you need is cios rev 15 and Hermes 222/223 if you want.
     
  9. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States
    Get bootmii ASAP if you can install it to boot2, the only risks involving it is not having it.

    As for updating, dop-IOS MOD can update your IOS's and such if you want, or you can just follow xzxero's update section of his guide to update all your IOS's and system menu manually. (Reinstall the HBC even if you have it to update it to the latest one when you're installing bootmii as well.)
     
  10. ocdetective

    Member ocdetective GBAtemp Advanced Fan

    Joined:
    Mar 19, 2008
    Messages:
    601
    Country:
    Malaysia
    You could stay on 3.2 if you wanted - running Gecko OS via the Homebrew channels and installing any necessary IOSes that are flagged as required when you load the disc.
    Also ditto on nabster's comment regarding Bootmii - it really is a must have for peace of mind.
    If you are not using backup loaders are you just running original games or what are you using to run copies just now?
     
  11. KingofRetards
    OP

    Newcomer KingofRetards Newbie

    Joined:
    Nov 19, 2009
    Messages:
    5
    Country:
    United States
    I am just using it to run official copies of the game. I figure the big "N" deserves 50$ every so often for all the SNES, NES, and N64 games I have emulators for [​IMG]
    And thanks by the way.
     
  12. dai-a

    Member dai-a GBAtemp Fan

    Joined:
    May 16, 2009
    Messages:
    351
    Location:
    Springville Utah
    Country:
    United States
    Be careful when running games through gecko. Because they can sometimes carry a stub IOS and it would brick your wii. Because the Stubbed IOS's are sometimes used by old system menus (Which you are on 3.2)

    But it would be best to install bootmii as boot2 then making a nand back up.

    The only risk with bootmii is to not have it lol.
     
  13. bula

    Member bula GBAtemp Advanced Fan

    Joined:
    Feb 4, 2009
    Messages:
    814
    Country:
    United States
    Hi xzxero

    It will not brick you, done one just the other day this way. Wani's 4.1U updater needs IOS60 to be installed other ways will not work, it will not download the stub during updating.
     

Share This Page